Results 1 to 7 of 7

Thread: libc6 problem after ubuntu mate upgrade to 21.04

  1. #1
    Join Date
    Jul 2021
    Beans
    3

    libc6 problem after ubuntu mate upgrade to 21.04

    I have updated ubuntu from 20.10 to 21.04

    apt says that the version of package libc6 is 2.33, but in folder
    /usr/lib/x86_64-linux-gnu/ there is only libc-2.32.so.

    I have tried to reinstall with apt, then manually with dpkg but I
    obtained no results.

    The problem is that some programs do not work (i.e. R) because they
    explicitely request version 2.33 of libc6.

    What can I do?
    Last edited by QIII; July 10th, 2021 at 12:15 AM.

  2. #2
    Join Date
    Aug 2011
    Location
    51.8° N 5.8° E
    Beans
    6,054
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: libc6 problem after ubuntu mate upgrade to 21.04

    You should have 2.33. Let's run a few checks:
    Code:
    dpkg-query --listfiles libc6 | grep libc
    apt-cache policy libc6

  3. #3
    Join Date
    Jul 2021
    Beans
    3

    Re: libc6 problem after ubuntu mate upgrade to 21.04

    Quote Originally Posted by Impavidus View Post
    You should have 2.33. Let's run a few checks:
    Code:
    dpkg-query --listfiles libc6 | grep libc
    apt-cache policy libc6
    output of dpkg-query --listfiles libc6 | grep libc

    Code:
    /lib/x86_64-linux-gnu/libc-2.33.so/usr/share/doc/libc6
    /usr/share/doc/libc6/NEWS.Debian.gz
    /usr/share/doc/libc6/NEWS.gz
    /usr/share/doc/libc6/README.Debian.gz
    /usr/share/doc/libc6/README.hesiod.gz
    /usr/share/doc/libc6/changelog.Debian.gz
    /usr/share/doc/libc6/copyright
    /usr/share/lintian/overrides/libc6
    /lib/x86_64-linux-gnu/libc.so.6
    but i have also this output for
    ls -l /usr/lib/x86_64-linux-gnu/libc.so*

    Code:
    -rw-r--r-- 1 root root 298 mar 31 15:44 /usr/lib/x86_64-linux-gnu/libc.solrwxrwxrwx 1 root root  12 dic 19  2020 /usr/lib/x86_64-linux-gnu/libc.so.6 -> libc-2.32.so
    i.e. I have libc6 2.32 in /usr/lib/ AND libc6 2.33 in /lib

  4. #4
    Join Date
    Aug 2013
    Beans
    4,729

    Re: libc6 problem after ubuntu mate upgrade to 21.04

    libc.so.6 is a symbolic link and it is currently linked to libc-2.32.so, that means libc-2.32.so is somehow in your system, either because upgrade wasn't done properly and left junks around (I always prefer clean install as oppose to "upgrade") or you have installed some third party software (via sudo make install) either in your old system (so upgrade didn't remove it) or in the new system.

  5. #5
    Join Date
    Aug 2011
    Location
    51.8° N 5.8° E
    Beans
    6,054
    Distro
    Xubuntu 20.04 Focal Fossa

    Re: libc6 problem after ubuntu mate upgrade to 21.04

    On Ubuntu /lib is nowadays a symlink to /usr/lib. Is it on your system too? Your output from dpkg-query --listfiles libc6 | grep libc appears normal. Your output from ls -l /usr/lib/x86_64-linux-gnu/libc.so* is almost normal, except that that symlink should point to libc-2.33.so, not to libc-2.32.so. Does this file (libc-2.32.so) exist or is it a dangling link? If the file exists, you have both 2.32 and 2.33 installed and are using 2.32 as default.

  6. #6
    Join Date
    Jul 2021
    Beans
    3

    Re: libc6 problem after ubuntu mate upgrade to 21.04

    There was a problem with usrmerge in the upgrade and not all the files in /lib are symlink to /usr/lib. I'm trying to recover bya
    hand

  7. #7
    Join Date
    Aug 2013
    Beans
    4,729

    Re: libc6 problem after ubuntu mate upgrade to 21.04

    Quote Originally Posted by strolego View Post
    There was a problem with usrmerge in the upgrade and not all the files in /lib are symlink to /usr/lib. I'm trying to recover bya
    hand
    In that case your libc6 problem is probably just the tip of the iceberg, you may be able to fix this one problem manually but you won't be able to fix or even detect all of them, some of that may manifest later as hard to diagnose problems. One day your system may behave strangely or some software doesn't run because your libs are all mixed up and nobody knows why.

    Maybe I am kind of OCD, but to my mind the fact that this happens as a result of a glitch in "upgrade" is a sign that this system cannot be trusted to operate properly. If I were you I would do a backup of my data, wipe everything clean and do a fresh install.
    Last edited by monkeybrain20122; July 10th, 2021 at 10:56 PM.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •